RubyGems Navigation menu

rubocop 0.67.2

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.36.0 - September 01, 2022 (555 KB)
  2. 1.35.1 - August 22, 2022 (553 KB)
  3. 1.35.0 - August 12, 2022 (553 KB)
  4. 1.34.1 - August 09, 2022 (548 KB)
  5. 1.34.0 - August 09, 2022 (548 KB)
  6. 0.67.2 - April 05, 2019 (421 KB)
Show all versions (218 total)

Runtime Dependencies (7):

  • jaro_winkler ~> 1.5.1
  • parallel ~> 1.10
  • parser >= 2.5, != 2.5.1.1
  • psych >= 3.1.0
  • rainbow >= 2.2.2, < 4.0
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.4.0, < 1.6
  • Development Dependencies (2):

  • bundler >= 1.3.0, < 3.0
  • rack >= 2.0
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    0029e66eb5c02fca2befdcba5c12c81ca83620c4ad5e1d197fcd35f7a549efb1

    Total downloads 263,408,335

    For this version 1,391,819

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.2.2

    New versions require MFA: true

    Links: